package com.qmth.jkserver.domain;

import com.qmth.jkserver.constant.SystemConstant;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description: 文件存储中心配置-私有
 * @Author: CaoZixuan
 * @Date: 2021-08-18
 */
public class FssStorageRootDomain {
    private static final long serialVersionUID = 7510626406622200443L;

    private String config;

    private String server;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public String getServer() {
        if (!StringUtils.isBlank(this.server) && this.server.endsWith(SystemConstant.ORG_SPLIT)) {
            this.server = this.server.substring(0, this.server.length() - 1);
            return this.server;
        } else {
            return this.server;
        }
    }

    public void setServer(String server) {
        this.server = server;
    }
}
